# $Revision: 1.10 $, $Date: 2005/12/31 10:36:33 $
Summary:	TMail mail library
Summary(pl):	TMail - biblioteka do obsugi poczty
Name:		ruby-TMail
Version:	0.10.8
Release:	4
License:	GPL
Group:		Development/Languages
Source0:	http://i.loveruby.net/archive/tmail/tmail-%{version}.tar.gz
# Source0-md5:	abd5916459691aec669f1bbf78e201d3
URL:		http://i.loveruby.net/en/prog/tmail.html
BuildRequires:	rpmbuild(macros) >= 1.277
BuildRequires:	ruby-devel
%{?ruby_mod_ver_requires_eq}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Mail handling module for Ruby.

%description -l pl
Modu dla jzyka Ruby obsugujcy poczt.

%prep
%setup -q -n tmail-%{version}

%build
ruby setup.rb config \
	--rb-dir=%{ruby_rubylibdir} \
	--so-dir=%{ruby_archdir}

ruby setup.rb setup

rdoc -o rdoc/ --main README.en README.en README.ja NEWS BUGS TODO lib/* doc/* doc.en/* doc.ja/* --title "%{name} %{version}" --inline-source
rdoc --ri -o ri lib/*

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_rubylibdir},%{ruby_ridir}}

ruby setup.rb install --prefix=$RPM_BUILD_ROOT

cp -a ri/ri/* $RPM_BUILD_ROOT%{ruby_ridir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc rdoc/*
%{ruby_rubylibdir}/tmail
%{ruby_rubylibdir}/tmail.rb
%attr(755,root,root) %{ruby_archdir}/tmail/*.so
%{ruby_ridir}/TMail
%{ruby_ridir}/StringInput
%{ruby_ridir}/StringOutput

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ruby-TMail.spec,v $
Revision 1.10  2005/12/31 10:36:33  twittner
- change %%ruby_mod_ver_requires_eq to %%{?ruby_mod_ver_requires_eq} -
  expand this macro only if defined to avoid parse error when appropriate
  BRs is not installed yet (solution provided by glen)

Revision 1.9  2005/12/29 16:59:48  twittner
- replace R: ruby-modules with %%ruby_mod_ver_requires_eq macro
  defined as `Requires: ruby-modules(ver) = 1.8' where `1.8' is
  major ruby version taken from rbconfig
- add BR: rpmbuild(macros) >= 1.277 with aforementioned macros

Revision 1.8  2005/12/27 10:07:59  twittner
- remove redundant BR: ruby-modules (BR: ruby-devel implies it)

Revision 1.7  2005/12/27 09:44:43  twittner
- (B)R: s/ruby/ruby-modules/, rel. 4 (mass commit through script)

Revision 1.6  2005/11/19 13:32:04  glen
- use system ruby macros
- cleanups, corrections, cosmetics

Revision 1.5  2005/06/12 01:39:09  aredridel
- rel 3 for rebuild
- STBR

Revision 1.4  2004/08/21 00:28:08  qboosh
- .so perms

Revision 1.3  2004/08/19 06:39:42  aredridel
- added ri docs

Revision 1.2  2004/08/09 01:40:14  aredridel
- not noarch
- rel 2

Revision 1.1  2004/08/09 01:39:43  aredridel
- added
